<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Client/ClientData.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d26/_client_data_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ClientData.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d26/_client_data_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/daf/class_client_data.html">ClientData</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a0fe9f63517c814d32ac4a9400a030a17">    3</a></span>    <span class="keyword">static</span> ref <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a0fe9f63517c814d32ac4a9400a030a17">SyncEvent_OnPlayerListUpdate</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>();</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#aee555d762fb044be23805de0268be336">    4</a></span>    <span class="keyword">static</span> ref <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> <a class="code hl_variable" href="../../d5/daf/class_client_data.html#aee555d762fb044be23805de0268be336">SyncEvent_OnEntityKilled</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>();</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#ab893cdb33e1bf3adca686a4e49be3803">    5</a></span>    <span class="keyword">static</span> ref <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a> <a class="code hl_variable" href="../../d5/daf/class_client_data.html#ab893cdb33e1bf3adca686a4e49be3803">SyncEvent_OnPlayerIgnitedFireplace</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a>();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a8f0392fec120d1a8ba2a03b7107ba810">    7</a></span>    <span class="keyword">static</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Man&gt;</a>           <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a8f0392fec120d1a8ba2a03b7107ba810">m_PlayerBaseList</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Man&gt;</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">    8</a></span>    <span class="keyword">static</span> ref <a class="code hl_class" href="../../d7/d7f/class_sync_player_list.html">SyncPlayerList</a>       <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a50735023acea9c57278f88430bb4ed74">    9</a></span>    <span class="keyword">static</span> ref <a class="code hl_class" href="../../d7/d7f/class_sync_player_list.html">SyncPlayerList</a>       <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a50735023acea9c57278f88430bb4ed74">m_LastNewPlayers</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a4beb9b867a956025de2e0646ce191b57">   11</a></span>    <span class="keyword">static</span> ref <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>       <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a4beb9b867a956025de2e0646ce191b57">m_OnlineServices</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a6ca5012ff697b41fe08490e097e71f55">   13</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/daf/class_client_data.html#a6ca5012ff697b41fe08490e097e71f55">ResetClientData</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a8f0392fec120d1a8ba2a03b7107ba810">m_PlayerBaseList</a> )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>            <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a8f0392fec120d1a8ba2a03b7107ba810">m_PlayerBaseList</a>.Clear();</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a> &amp;&amp; <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a>.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a> )</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a>.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a>.Clear();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a50735023acea9c57278f88430bb4ed74">m_LastNewPlayers</a> &amp;&amp; <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a50735023acea9c57278f88430bb4ed74">m_LastNewPlayers</a>.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a> )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a50735023acea9c57278f88430bb4ed74">m_LastNewPlayers</a>.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a>.Clear();</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#ab87317db4cce16f3ab9d8235c7dd2f69">   23</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/daf/class_client_data.html#ab87317db4cce16f3ab9d8235c7dd2f69">AddPlayerBase</a>( Man player )</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a8f0392fec120d1a8ba2a03b7107ba810">m_PlayerBaseList</a> &amp;&amp; player != <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a>() )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a8f0392fec120d1a8ba2a03b7107ba810">m_PlayerBaseList</a>.Insert( player );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a53946cfe0e5b565496e69cf80a2f407a">   29</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/daf/class_client_data.html#a53946cfe0e5b565496e69cf80a2f407a">RemovePlayerBase</a>( Man player )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a8f0392fec120d1a8ba2a03b7107ba810">m_PlayerBaseList</a> )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a8f0392fec120d1a8ba2a03b7107ba810">m_PlayerBaseList</a>.RemoveItem( player );</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a9c970c76dbbc37682b9718b473e5e2e4">   35</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/daf/class_client_data.html#a9c970c76dbbc37682b9718b473e5e2e4">SyncEvent_OnRecievedPlayerList</a>( <a class="code hl_class" href="../../d7/d7f/class_sync_player_list.html">SyncPlayerList</a> player_list )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a> &amp;&amp; <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a>.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a>)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="comment">//Print(&quot;SyncEvent_OnRecievedPlayerList | &quot; + m_PlayerList.m_PlayerList.Count());</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_class" href="../../d7/d7f/class_sync_player_list.html">SyncPlayerList</a> new_players = <a class="code hl_class" href="../../d7/d7f/class_sync_player_list.html">SyncPlayerList</a>.<a class="code hl_function" href="../../d7/d7f/class_sync_player_list.html#ae5c49c21b03b7a8cf296c5da09bb00b4">Compare</a>(<a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a>, player_list);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../d5/daf/class_client_data.html#a50735023acea9c57278f88430bb4ed74">m_LastNewPlayers</a> )</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a50735023acea9c57278f88430bb4ed74">m_LastNewPlayers</a> = player_list;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a50735023acea9c57278f88430bb4ed74">m_LastNewPlayers</a> = <a class="code hl_class" href="../../d7/d7f/class_sync_player_list.html">SyncPlayerList</a>.<a class="code hl_function" href="../../d7/d7f/class_sync_player_list.html#ae5c49c21b03b7a8cf296c5da09bb00b4">Compare</a>( <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a50735023acea9c57278f88430bb4ed74">m_LastNewPlayers</a>, new_players );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a> = <a class="code hl_class" href="../../d7/d7f/class_sync_player_list.html">SyncPlayerList</a>.<a class="code hl_function" href="../../d7/d7f/class_sync_player_list.html#ae5c49c21b03b7a8cf296c5da09bb00b4">Compare</a>(player_list, null);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="preprocessor">        #ifdef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="preprocessor">            #ifndef PLATFORM_WINDOWS </span><span class="comment">// if app is not on Windows with -XBOX parameter</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a7e8f409661478fcdca5d805ec0614afb">LoadPermissions</a>( <a class="code hl_function" href="../../d5/daf/class_client_data.html#a3bd11808e78ca63223eae1f0953b724a">GetSimplePlayerList</a>( new_players ) );</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                <span class="keywordflow">if</span>( new_players.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a>.Count() &gt; 0 )</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                    <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a2d1b712daf42a3e639bac5cde0d1d611">LoadFriends</a>();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetGameState() == DayZGameState.IN_GAME )</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>                    <a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#ac002e721265d95a0f48ede56e88fb73c">SetMultiplayState</a>(<a class="code hl_class" href="../../d0/d36/class_online_services.html">OnlineServices</a>.<a class="code hl_function" href="../../d0/d36/class_online_services.html#a2823aef8112bb47b2b55678023dd8689">GetMultiplayState</a>());</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="preprocessor">            #endif</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a0fe9f63517c814d32ac4a9400a030a17">SyncEvent_OnPlayerListUpdate</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">Invoke</a>( player_list );</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a3bd11808e78ca63223eae1f0953b724a">   67</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_function" href="../../d5/daf/class_client_data.html#a3bd11808e78ca63223eae1f0953b724a">GetSimplePlayerList</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> ids = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a> &amp;&amp; <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a>.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a> )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">for</span>( <span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a>.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a>.Count(); i++ )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                <a class="code hl_class" href="../../d6/dfc/class_sync_player.html">SyncPlayer</a> player = <a class="code hl_variable" href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">m_PlayerList</a>.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a>.Get( i );</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                ids.Insert( player.<a class="code hl_variable" href="../../d6/dfc/class_sync_player.html#a8baffef38ae62341036ba19ffbbbaaa1">m_UID</a> );</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> ids;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#abe74c363ff5628a4fea12b967e532a18">   82</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_function" href="../../d5/daf/class_client_data.html#abe74c363ff5628a4fea12b967e532a18">GetSimplePlayerList</a>( <a class="code hl_class" href="../../d7/d7f/class_sync_player_list.html">SyncPlayerList</a> list )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> ids = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">if</span>( list )</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordflow">for</span>( <span class="keywordtype">int</span> i = 0; i &lt; list.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a>.Count(); i++ )</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                <a class="code hl_class" href="../../d6/dfc/class_sync_player.html">SyncPlayer</a> player = list.<a class="code hl_variable" href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">m_PlayerList</a>.Get( i );</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                ids.Insert( player.<a class="code hl_variable" href="../../d6/dfc/class_sync_player.html#a8baffef38ae62341036ba19ffbbbaaa1">m_UID</a> );</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> ids;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a942d743ddbb74b77cccada21aad8f14e">   97</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/daf/class_client_data.html#a942d743ddbb74b77cccada21aad8f14e">SyncEvent_OnEntityKilled</a>( <a class="code hl_class" href="../../d9/d80/class_sync_entity_kill_info.html">SyncEntityKillInfo</a> entity_killed_data )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_variable" href="../../d5/daf/class_client_data.html#aee555d762fb044be23805de0268be336">SyncEvent_OnEntityKilled</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">Invoke</a>(entity_killed_data.<a class="code hl_variable" href="../../d9/d80/class_sync_entity_kill_info.html#a9fa4885931a561a8c6169ef7b7c79968">m_EntityVictim</a>, entity_killed_data.<a class="code hl_variable" href="../../d9/d80/class_sync_entity_kill_info.html#ab616a8ccb14aefe5114f7f73517bcc49">m_EntityKiller</a>, entity_killed_data.<a class="code hl_variable" href="../../d9/d80/class_sync_entity_kill_info.html#aae1e654634ddf863159a8fb386481896">m_EntitySource</a>, entity_killed_data.<a class="code hl_variable" href="../../d9/d80/class_sync_entity_kill_info.html#aee2afefcd1836b5712350863058c91c1">m_IsHeadShot</a> );</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../d5/daf/class_client_data.html#a827662de7bbc1bbc6a8f9f0cb0d3025b">  102</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/daf/class_client_data.html#a827662de7bbc1bbc6a8f9f0cb0d3025b">SyncEvent_OnPlayerIgnitedFireplace</a>( <a class="code hl_enumeration" href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafe">EFireIgniteType</a> igante_type )</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <a class="code hl_variable" href="../../d5/daf/class_client_data.html#ab893cdb33e1bf3adca686a4e49be3803">SyncEvent_OnPlayerIgnitedFireplace</a>.<a class="code hl_function" href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">Invoke</a>(igante_type);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>}</div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03101">DayZGame.c:3101</a></div></div>
<div class="ttc" id="a_e_fire_ignite_type_8c_html_a96be9fad49c872d620786d85934daafe"><div class="ttname"><a href="../../da/df6/_e_fire_ignite_type_8c.html#a96be9fad49c872d620786d85934daafe">EFireIgniteType</a></div><div class="ttdeci">EFireIgniteType</div><div class="ttdef"><b>Definition:</b> <a href="../../da/df6/_e_fire_ignite_type_8c_source.html#l00001">EFireIgniteType.c:2</a></div></div>
<div class="ttc" id="a_modifier_base_8c_html_aaf6ee4d1f067be1038b7a662af6af1bf"><div class="ttname"><a href="../../de/d0e/_modifier_base_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a></div><div class="ttdeci">PlayerBase GetPlayer()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d0e/_modifier_base_8c_source.html#l00047">ModifierBase.c:47</a></div></div>
<div class="ttc" id="aclass_client_data_html"><div class="ttname"><a href="../../d5/daf/class_client_data.html">ClientData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00001">ClientData.c:2</a></div></div>
<div class="ttc" id="aclass_client_data_html_a0fe9f63517c814d32ac4a9400a030a17"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a0fe9f63517c814d32ac4a9400a030a17">ClientData::SyncEvent_OnPlayerListUpdate</a></div><div class="ttdeci">static ref ScriptInvoker SyncEvent_OnPlayerListUpdate</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00003">ClientData.c:3</a></div></div>
<div class="ttc" id="aclass_client_data_html_a3bd11808e78ca63223eae1f0953b724a"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a3bd11808e78ca63223eae1f0953b724a">ClientData::GetSimplePlayerList</a></div><div class="ttdeci">static array&lt; string &gt; GetSimplePlayerList()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00067">ClientData.c:67</a></div></div>
<div class="ttc" id="aclass_client_data_html_a44db26d24a6236d45d34b794b802d5d5"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a44db26d24a6236d45d34b794b802d5d5">ClientData::m_PlayerList</a></div><div class="ttdeci">static ref SyncPlayerList m_PlayerList</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00008">ClientData.c:8</a></div></div>
<div class="ttc" id="aclass_client_data_html_a4beb9b867a956025de2e0646ce191b57"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a4beb9b867a956025de2e0646ce191b57">ClientData::m_OnlineServices</a></div><div class="ttdeci">static ref OnlineServices m_OnlineServices</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00011">ClientData.c:11</a></div></div>
<div class="ttc" id="aclass_client_data_html_a50735023acea9c57278f88430bb4ed74"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a50735023acea9c57278f88430bb4ed74">ClientData::m_LastNewPlayers</a></div><div class="ttdeci">static ref SyncPlayerList m_LastNewPlayers</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00009">ClientData.c:9</a></div></div>
<div class="ttc" id="aclass_client_data_html_a53946cfe0e5b565496e69cf80a2f407a"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a53946cfe0e5b565496e69cf80a2f407a">ClientData::RemovePlayerBase</a></div><div class="ttdeci">static void RemovePlayerBase(Man player)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00029">ClientData.c:29</a></div></div>
<div class="ttc" id="aclass_client_data_html_a6ca5012ff697b41fe08490e097e71f55"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a6ca5012ff697b41fe08490e097e71f55">ClientData::ResetClientData</a></div><div class="ttdeci">static void ResetClientData()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00013">ClientData.c:13</a></div></div>
<div class="ttc" id="aclass_client_data_html_a827662de7bbc1bbc6a8f9f0cb0d3025b"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a827662de7bbc1bbc6a8f9f0cb0d3025b">ClientData::SyncEvent_OnPlayerIgnitedFireplace</a></div><div class="ttdeci">static void SyncEvent_OnPlayerIgnitedFireplace(EFireIgniteType igante_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00102">ClientData.c:102</a></div></div>
<div class="ttc" id="aclass_client_data_html_a8f0392fec120d1a8ba2a03b7107ba810"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a8f0392fec120d1a8ba2a03b7107ba810">ClientData::m_PlayerBaseList</a></div><div class="ttdeci">static ref array&lt; Man &gt; m_PlayerBaseList</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00007">ClientData.c:7</a></div></div>
<div class="ttc" id="aclass_client_data_html_a942d743ddbb74b77cccada21aad8f14e"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a942d743ddbb74b77cccada21aad8f14e">ClientData::SyncEvent_OnEntityKilled</a></div><div class="ttdeci">static void SyncEvent_OnEntityKilled(SyncEntityKillInfo entity_killed_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00097">ClientData.c:97</a></div></div>
<div class="ttc" id="aclass_client_data_html_a9c970c76dbbc37682b9718b473e5e2e4"><div class="ttname"><a href="../../d5/daf/class_client_data.html#a9c970c76dbbc37682b9718b473e5e2e4">ClientData::SyncEvent_OnRecievedPlayerList</a></div><div class="ttdeci">static void SyncEvent_OnRecievedPlayerList(SyncPlayerList player_list)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00035">ClientData.c:35</a></div></div>
<div class="ttc" id="aclass_client_data_html_ab87317db4cce16f3ab9d8235c7dd2f69"><div class="ttname"><a href="../../d5/daf/class_client_data.html#ab87317db4cce16f3ab9d8235c7dd2f69">ClientData::AddPlayerBase</a></div><div class="ttdeci">static void AddPlayerBase(Man player)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00023">ClientData.c:23</a></div></div>
<div class="ttc" id="aclass_client_data_html_ab893cdb33e1bf3adca686a4e49be3803"><div class="ttname"><a href="../../d5/daf/class_client_data.html#ab893cdb33e1bf3adca686a4e49be3803">ClientData::SyncEvent_OnPlayerIgnitedFireplace</a></div><div class="ttdeci">static ref ScriptInvoker SyncEvent_OnPlayerIgnitedFireplace</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00005">ClientData.c:5</a></div></div>
<div class="ttc" id="aclass_client_data_html_abe74c363ff5628a4fea12b967e532a18"><div class="ttname"><a href="../../d5/daf/class_client_data.html#abe74c363ff5628a4fea12b967e532a18">ClientData::GetSimplePlayerList</a></div><div class="ttdeci">static array&lt; string &gt; GetSimplePlayerList(SyncPlayerList list)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00082">ClientData.c:82</a></div></div>
<div class="ttc" id="aclass_client_data_html_aee555d762fb044be23805de0268be336"><div class="ttname"><a href="../../d5/daf/class_client_data.html#aee555d762fb044be23805de0268be336">ClientData::SyncEvent_OnEntityKilled</a></div><div class="ttdeci">static ref ScriptInvoker SyncEvent_OnEntityKilled</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d26/_client_data_8c_source.html#l00004">ClientData.c:4</a></div></div>
<div class="ttc" id="aclass_online_services_html"><div class="ttname"><a href="../../d0/d36/class_online_services.html">OnlineServices</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00001">OnlineServices.c:2</a></div></div>
<div class="ttc" id="aclass_online_services_html_a2823aef8112bb47b2b55678023dd8689"><div class="ttname"><a href="../../d0/d36/class_online_services.html#a2823aef8112bb47b2b55678023dd8689">OnlineServices::GetMultiplayState</a></div><div class="ttdeci">static bool GetMultiplayState()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00520">OnlineServices.c:520</a></div></div>
<div class="ttc" id="aclass_online_services_html_a2d1b712daf42a3e639bac5cde0d1d611"><div class="ttname"><a href="../../d0/d36/class_online_services.html#a2d1b712daf42a3e639bac5cde0d1d611">OnlineServices::LoadFriends</a></div><div class="ttdeci">static void LoadFriends()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00224">OnlineServices.c:224</a></div></div>
<div class="ttc" id="aclass_online_services_html_a7e8f409661478fcdca5d805ec0614afb"><div class="ttname"><a href="../../d0/d36/class_online_services.html#a7e8f409661478fcdca5d805ec0614afb">OnlineServices::LoadPermissions</a></div><div class="ttdeci">static void LoadPermissions(array&lt; string &gt; player_list)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00301">OnlineServices.c:301</a></div></div>
<div class="ttc" id="aclass_online_services_html_ac002e721265d95a0f48ede56e88fb73c"><div class="ttname"><a href="../../d0/d36/class_online_services.html#ac002e721265d95a0f48ede56e88fb73c">OnlineServices::SetMultiplayState</a></div><div class="ttdeci">static void SetMultiplayState(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d67/_online_services_8c_source.html#l00525">OnlineServices.c:525</a></div></div>
<div class="ttc" id="aclass_script_invoker_html"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html">ScriptInvoker</a></div><div class="ttdoc">ScriptInvoker Class provide list of callbacks   usage:</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/ded/2___game_lib_2tools_8c_source.html#l00115">tools.c:116</a></div></div>
<div class="ttc" id="aclass_script_invoker_html_a92afb05a0027c1949c5364a8e035e1c9"><div class="ttname"><a href="../../d4/d2d/class_script_invoker.html#a92afb05a0027c1949c5364a8e035e1c9">ScriptInvoker::Invoke</a></div><div class="ttdeci">proto void Invoke(void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">invoke call on all inserted methods with given arguments</div></div>
<div class="ttc" id="aclass_sync_entity_kill_info_html"><div class="ttname"><a href="../../d9/d80/class_sync_entity_kill_info.html">SyncEntityKillInfo</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d25/_sync_entity_kill_8c_source.html#l00001">SyncEntityKill.c:2</a></div></div>
<div class="ttc" id="aclass_sync_entity_kill_info_html_a9fa4885931a561a8c6169ef7b7c79968"><div class="ttname"><a href="../../d9/d80/class_sync_entity_kill_info.html#a9fa4885931a561a8c6169ef7b7c79968">SyncEntityKillInfo::m_EntityVictim</a></div><div class="ttdeci">EntityAI m_EntityVictim</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d25/_sync_entity_kill_8c_source.html#l00003">SyncEntityKill.c:3</a></div></div>
<div class="ttc" id="aclass_sync_entity_kill_info_html_aae1e654634ddf863159a8fb386481896"><div class="ttname"><a href="../../d9/d80/class_sync_entity_kill_info.html#aae1e654634ddf863159a8fb386481896">SyncEntityKillInfo::m_EntitySource</a></div><div class="ttdeci">EntityAI m_EntitySource</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d25/_sync_entity_kill_8c_source.html#l00005">SyncEntityKill.c:5</a></div></div>
<div class="ttc" id="aclass_sync_entity_kill_info_html_ab616a8ccb14aefe5114f7f73517bcc49"><div class="ttname"><a href="../../d9/d80/class_sync_entity_kill_info.html#ab616a8ccb14aefe5114f7f73517bcc49">SyncEntityKillInfo::m_EntityKiller</a></div><div class="ttdeci">EntityAI m_EntityKiller</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d25/_sync_entity_kill_8c_source.html#l00004">SyncEntityKill.c:4</a></div></div>
<div class="ttc" id="aclass_sync_entity_kill_info_html_aee2afefcd1836b5712350863058c91c1"><div class="ttname"><a href="../../d9/d80/class_sync_entity_kill_info.html#aee2afefcd1836b5712350863058c91c1">SyncEntityKillInfo::m_IsHeadShot</a></div><div class="ttdeci">bool m_IsHeadShot</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d25/_sync_entity_kill_8c_source.html#l00006">SyncEntityKill.c:6</a></div></div>
<div class="ttc" id="aclass_sync_player_html"><div class="ttname"><a href="../../d6/dfc/class_sync_player.html">SyncPlayer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1d/_sync_player_8c_source.html#l00001">SyncPlayer.c:2</a></div></div>
<div class="ttc" id="aclass_sync_player_html_a8baffef38ae62341036ba19ffbbbaaa1"><div class="ttname"><a href="../../d6/dfc/class_sync_player.html#a8baffef38ae62341036ba19ffbbbaaa1">SyncPlayer::m_UID</a></div><div class="ttdeci">string m_UID</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1d/_sync_player_8c_source.html#l00003">SyncPlayer.c:3</a></div></div>
<div class="ttc" id="aclass_sync_player_list_html"><div class="ttname"><a href="../../d7/d7f/class_sync_player_list.html">SyncPlayerList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d55/_sync_player_list_8c_source.html#l00001">SyncPlayerList.c:2</a></div></div>
<div class="ttc" id="aclass_sync_player_list_html_a3eaa0563b2cd0b6c6713052944a93136"><div class="ttname"><a href="../../d7/d7f/class_sync_player_list.html#a3eaa0563b2cd0b6c6713052944a93136">SyncPlayerList::m_PlayerList</a></div><div class="ttdeci">ref array&lt; ref SyncPlayer &gt; m_PlayerList</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d55/_sync_player_list_8c_source.html#l00003">SyncPlayerList.c:3</a></div></div>
<div class="ttc" id="aclass_sync_player_list_html_ae5c49c21b03b7a8cf296c5da09bb00b4"><div class="ttname"><a href="../../d7/d7f/class_sync_player_list.html#ae5c49c21b03b7a8cf296c5da09bb00b4">SyncPlayerList::Compare</a></div><div class="ttdeci">static SyncPlayerList Compare(SyncPlayerList a, SyncPlayerList b)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d55/_sync_player_list_8c_source.html#l00034">SyncPlayerList.c:34</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_ffaed77935c4a5e2d01fbe96792eb0d5.html">Client</a></li><li class="navelem"><a class="el" href="../../de/d26/_client_data_8c.html">ClientData.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
